net.fortuna.ical4j.model.property

## Class TzUrl

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.TzUrl

All Implemented Interfaces:
  Serializable

    public class TzUrl
    extends Property

$Id$ Created: [Apr 6, 2004] Defines a TZURL iCalendar component property.

         4.8.3.5 Time Zone URL

            Property Name: TZURL

            Purpose: The TZURL provides a means for a VTIMEZONE component to
            point to a network location that can be used to retrieve an up-to-
            date version of itself.

            Value Type: URI

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: This property can be specified in a "VTIMEZONE" calendar
            component.

            Description: The TZURL provides a means for a VTIMEZONE component to
            point to a network location that can be used to retrieve an up-to-
            date version of itself. This provides a hook to handle changes
            government bodies impose upon time zone definitions. Retrieval of
            this resource results in an iCalendar object containing a single
            VTIMEZONE component and a METHOD property set to PUBLISH.

            Format Definition: The property is defined by the following notation:

              tzurl      = "TZURL" tzurlparam ":" uri CRLF

              tzurlparam = *(";" xparam)

            Example: The following is an example of this property:

              TZURL:http://timezones.r.us.net/tz/US-California-Los_Angeles

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`TzUrl()` Default constructor.
`TzUrl(ParameterList aList, String aValue)`
`TzUrl(ParameterList aList, URI aUri)`
`TzUrl(URI aUri)`

### Method Summary

Methods
`URI` `getUri()`
`String` `getValue()`
`void` `setUri(URI uri)`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TzUrl

    public TzUrl()

Default constructor.

#### TzUrl

    public TzUrl(ParameterList aList,
         String aValue)
          throws URISyntaxException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `URISyntaxException` - where the specified value string is not a valid uri

#### TzUrl

    public TzUrl(URI aUri)

Parameters:
  `aUri` - a URI

#### TzUrl

    public TzUrl(ParameterList aList,
         URI aUri)

Parameters:
  `aList` - a list of parameters for this component
  `aUri` - a URI

### Method Detail

#### getUri

    public final URI getUri()

Returns:
  Returns the uri.

#### setValue

    public final void setValue(String aValue)
                        throws URISyntaxException

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value
Throws:
  `URISyntaxException` - possibly thrown by setting the value of certain properties

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### setUri

    public final void setUri(URI uri)

Parameters:
  `uri` - The uri to set.

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state